GET

Retrieve inventory part transaction records.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Inventory Transaction filters

Use the Inventory Transactions GET endpoint with the $filter query parameter to return one inventory transaction type.

GET /ODataApi/v1/GetPartTransactions

Use the TransactionType field to filter inventory transactions.

How to use a filter

Add $filter to the end of the endpoint URL:

https://{site}.mvpplant.com/ODataApi/v1/GetPartTransactions?$filter=TransactionType eq 'adjust'

Replace {site} with your MVP One site name.

Transaction type filters

Inventory transaction typeFilter example
AdjustTransactionType eq 'adjust'
Check OutTransactionType eq 'check out'
Cycle CountTransactionType eq 'cycle count'
MoveTransactionType eq 'move'
Purchase ReceiveTransactionType eq 'purchase receive'
Purchase ReturnTransactionType eq 'purchase return'
Quick ReceiveTransactionType eq 'quick receive'
ReturnTransactionType eq 'return'

Examples

Adjust

https://{site}.mvpplant.com/ODataApi/v1/GetPartTransactions?$filter=TransactionType eq 'adjust'

Check Out

https://{site}.mvpplant.com/ODataApi/v1/GetPartTransactions?$filter=TransactionType eq 'check out'

Cycle Count

https://{site}.mvpplant.com/ODataApi/v1/GetPartTransactions?$filter=TransactionType eq 'cycle count'

Move

https://{site}.mvpplant.com/ODataApi/v1/GetPartTransactions?$filter=TransactionType eq 'move'

Purchase Receive

https://{site}.mvpplant.com/ODataApi/v1/GetPartTransactions?$filter=TransactionType eq 'purchase receive'

Purchase Return

https://{site}.mvpplant.com/ODataApi/v1/GetPartTransactions?$filter=TransactionType eq 'purchase return'

Quick Receive

https://{site}.mvpplant.com/ODataApi/v1/GetPartTransactions?$filter=TransactionType eq 'quick receive'

Return

https://{site}.mvpplant.com/ODataApi/v1/GetPartTransactions?$filter=TransactionType eq 'return'

Optional: combine filters with other OData query options

You can combine $filter with other OData query options, such as $select, $top, and $orderby.

Return the first 10 adjust transactions

https://{site}.mvpplant.com/ODataApi/v1/GetPartTransactions?$filter=TransactionType eq 'adjust'&$top=10

Return selected fields for check out transactions

https://{site}.mvpplant.com/ODataApi/v1/GetPartTransactions?$filter=TransactionType eq 'check out'&$select=PartID,TransactionType,Quantity,TransactionDate

Sort transactions by transaction date

https://{site}.mvpplant.com/ODataApi/v1/GetPartTransactions?$filter=TransactionType eq 'adjust'&$orderby=TransactionDate desc

Notes

  • OData filter values are case-sensitive.
  • Use single quotes around string values.
  • Use TransactionType for inventory transaction filters.
  • Encode spaces if your client does not encode URLs automatically. For example, check out may be sent as check%20out.
Query Params
string
required

Filter inventory part transactions. Use TransactionType to filter by transaction type.

string

Select specific fields to return.

integer

Limit the number of records returned.

string

Sort returned records.

Response

Language
Credentials
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!